BSON_COPY_TO_EXCLUDING_NOINIT_VA(3)

NAME
bson_copy_to_excluding_noinit_va - bson_copy_to_excluding_noinit_va()

SYNOPSIS

void
bson_copy_to_excluding_noinit_va (const bson_t *src,
                                  bson_t *dst,
                                  const char *first_exclude,
                                  va_list args);

PARAMETERS

•   src: A bson_t.

•   dst: A bson_t.

•   first_exclude: The first field name to exclude.

•   args: A va_list.

DESCRIPTION

The bson_copy_to_excluding_noinit_va() function shall copy all fields from src to dst except those specified by first_exclude and args.

This method works the same way as bson_copy_to_excluding_noinit, except it takes a va_list. This method does not call bson_init on dst.

SEE ALSO

bson_copy_to_excluding_noinit

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc